# ACH Response Codes

ACH response codes indicate the status of your ACH transaction requests.

The following table lists all ACH response codes, their corresponding HTTP status codes, and error messages:

<table><thead><tr><th width="261.79998779296875">Error Type</th><th width="124.2000732421875">Result Code</th><th width="166">HTTP Status Code</th><th>Error Message</th></tr></thead><tbody><tr><td>TRANSACTION_ERROR</td><td>280</td><td>400</td><td>Transaction failed</td></tr><tr><td>VOID_ERROR</td><td>281</td><td>400</td><td>Void failed. Cannot void ach transactions that are returned or settled.</td></tr><tr><td>VOID_ERROR_CANNOT_FIND_STORED_ACCOUNT_INFO</td><td>281</td><td>400</td><td>Void failed. Cannot find account info</td></tr><tr><td>AUTHORIZATION_ERROR</td><td>282</td><td>400</td><td>Authorization failed</td></tr><tr><td>ACCOUNT_VALIDATION_ERROR</td><td>283</td><td>400</td><td>Validation failed</td></tr><tr><td>ACCOUNT_NOT_CONFIGURED_ERROR</td><td>284</td><td>400</td><td>ACH Account not found</td></tr><tr><td>ACCOUNT_DISABLED_ERROR</td><td>285</td><td>400</td><td>ACH Account is disabled</td></tr><tr><td>ACCOUNT_DISABLED_FOR_SECCODE</td><td>285</td><td>400</td><td>ACH Account disabled for Sec Code</td></tr><tr><td>UNACCOUNTED_ERROR</td><td>286</td><td>400</td><td>An error occurred we did not account for</td></tr><tr><td>TRANSACTION_NOT_FOUND</td><td>287</td><td>404</td><td>Transaction not found</td></tr><tr><td>REQUEST_FAILED</td><td>288</td><td>400</td><td>Request failed</td></tr><tr><td>PROVIDER_ERROR</td><td>289</td><td>400</td><td>Provider failed</td></tr><tr><td>QUEUE_ERROR</td><td>290</td><td>500</td><td>Transaction Failed</td></tr><tr><td>PROVIDER_INTERNAL_ERROR</td><td>291</td><td>400</td><td>Ach Provider returned an internal error.</td></tr><tr><td>SETTLED_DATA_EMPTY</td><td>292</td><td>404</td><td>Transaction not found</td></tr><tr><td>RETURNED_DATA_EMPTY</td><td>293</td><td>404</td><td>Transaction not found</td></tr><tr><td>PROVIDER_SERVICE_UNAVAILABLE</td><td>294</td><td>500</td><td>Ach Provider service is unavailable.</td></tr><tr><td>ACH_TRANSACTION_WAREHOUSE_SERVICE_UNAVAILABLE</td><td>295</td><td>500</td><td>Clearent Ach Warehouse service is unavailable.</td></tr><tr><td>ACH_TOKEN_DECRYPTION_ERROR</td><td>296</td><td>400</td><td>Unable to decrypt token.</td></tr><tr><td>ACH_TOKEN_LOOKUP_ERROR</td><td>296</td><td>400</td><td>Unable to query token data</td></tr><tr><td>INVALID_REQUEST</td><td>074</td><td>400</td><td>First Name Required<br><br><em>The following characters are not allowed in the first name field:</em><br><code>', +, (, ), *</code><br><em>This restriction is enforced by PAYA.</em></td></tr><tr><td>GET_NOT_FOUND</td><td>082</td><td>404</td><td>Merchant configuration not found</td></tr><tr><td>PAYA_ACCOUNT_NOT_FOUND</td><td>082</td><td>404</td><td>Paya account not found</td></tr><tr><td>NO_BODY_IN_REQUEST_088</td><td>088</td><td>400</td><td>No body in request</td></tr><tr><td>FAILED_TO_PROCESS_HPP_REQUEST</td><td>880</td><td>400</td><td>Failed to process hpp request.</td></tr><tr><td>UNAUTHORIZED</td><td>042</td><td>401</td><td>Unauthorized</td></tr><tr><td>SYSTEM_ERROR_OTHER_073</td><td>073</td><td>500</td><td>System Error Other</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-response-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
